# CurveStethPoolDeposit

### Description

Action that deposits tokens into the Curve steth pool

### Action ID

`0x584de7d4`

### SDK Action

```ts
const curveStethPoolDepositAction = new dfs.actions.curve.CurveStethPoolDepositAction(
    from,
    to,
    amounts,
    minMintAmount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param from Address where to pull tokens from
    /// @param to Address that will receive the LP tokens
    /// @param amounts Amount of each token to deposit
    /// @param minMintAmount Minimum amount of LP tokens to accept
    struct Params {
        address from;
        address to;
        uint256[2] amounts;
        uint256 minMintAmount;
    }
```

### Return Value

```solidity
return bytes32(receivedLp);
```

### Events and Logs

```solidity
emit ActionEvent("CurveStethPoolDeposit", logData);
logger.logActionDirectEvent("CurveStethPoolDeposit", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/curve/curvestethpooldeposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
